local Electuary = ...

-- Take the default ResourceLayoutType and Prefab

-- Register image assets
Electuary:registerAssetId("icons/electuary.png", "ICON_" .. ElectuaryPrefix)
Electuary:registerAssetId("icons/sugar.png", "ICON_" .. SugarPrefix)

-- Register Electuary (luxury food)
Electuary:register({
	DataType = "RESOURCE",
	Id = ElectuaryPrefix,
	ResourceName = ElectuaryPrefix .. "_NAME",
	Icon = "ICON_" .. ElectuaryPrefix,
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 50 }
})

-- Register Sugar (luxury food)
Electuary:register({
	DataType = "RESOURCE",
	Id = SugarPrefix,
	ResourceName = SugarPrefix .. "_NAME",
	Icon = "ICON_" .. SugarPrefix,
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 20 }
})
